<html>
<head>
<title>Ogre::FrameEvent Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1FrameEvent.html">FrameEvent</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::FrameEvent Struct Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::FrameEvent" -->
<p>Struct containing information about a frame event.  
 <a href="structOgre_1_1FrameEvent.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreFrameListener_8h_source.html">OgreFrameListener.h</a>&gt;</code></p>

<p><a href="structOgre_1_1FrameEvent-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1FrameEvent.html#ab772e995840b64e5f0bff08cdc29abd5">timeSinceLastEvent</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Elapsed time in seconds since the last event.  <a href="#ab772e995840b64e5f0bff08cdc29abd5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1FrameEvent.html#adf69bb72418f50afcbf5b55ce0745b31">timeSinceLastFrame</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Elapsed time in seconds since the last event of the same type, i.e.  <a href="#adf69bb72418f50afcbf5b55ce0745b31"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Struct containing information about a frame event. </p>

<p>Definition at line <a class="el" href="OgreFrameListener_8h_source.html#l00044">44</a> of file <a class="el" href="OgreFrameListener_8h_source.html">OgreFrameListener.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ab772e995840b64e5f0bff08cdc29abd5"></a><!-- doxytag: member="Ogre::FrameEvent::timeSinceLastEvent" ref="ab772e995840b64e5f0bff08cdc29abd5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1FrameEvent.html#ab772e995840b64e5f0bff08cdc29abd5">Ogre::FrameEvent::timeSinceLastEvent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Elapsed time in seconds since the last event. </p>
<p>This gives you time between frame start &amp; frame end, and between frame end and next frame start. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This may not be the elapsed time but the average elapsed time between recently fired events. </dd></dl>

<p>Definition at line <a class="el" href="OgreFrameListener_8h_source.html#l00053">53</a> of file <a class="el" href="OgreFrameListener_8h_source.html">OgreFrameListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="adf69bb72418f50afcbf5b55ce0745b31"></a><!-- doxytag: member="Ogre::FrameEvent::timeSinceLastFrame" ref="adf69bb72418f50afcbf5b55ce0745b31" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1FrameEvent.html#adf69bb72418f50afcbf5b55ce0745b31">Ogre::FrameEvent::timeSinceLastFrame</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Elapsed time in seconds since the last event of the same type, i.e. </p>
<p>time for a complete frame. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This may not be the elapsed time but the average elapsed time between recently fired events of the same type. </dd></dl>

<p>Definition at line <a class="el" href="OgreFrameListener_8h_source.html#l00060">60</a> of file <a class="el" href="OgreFrameListener_8h_source.html">OgreFrameListener.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreFrameListener_8h_source.html">OgreFrameListener.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:56
</p>
</body>
</html>
